org.bdgenomics.adam.models

# ReferenceRegion

###
Related Docs: class ReferenceRegion | package models

#### object ReferenceRegion extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReferenceRegion
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(coverage: Coverage): ReferenceRegion

   Builds a reference region for a coverage site.

   Builds a reference region for a coverage site.

   coverage

     Coverage to extract ReferenceRegion from

   returns

     Extracted ReferenceRegion

5. #### def apply(feature: Feature): ReferenceRegion

   Builds a reference region for a feature.

   Builds a reference region for a feature.

   feature

     Feature to extract ReferenceRegion from

   returns

     Extracted ReferenceRegion

6. #### def apply(fragment: NucleotideContigFragment): Option[ReferenceRegion]

   Generates a reference region from assembly data.

   Generates a reference region from assembly data. Returns None if the assembly does not have an ID or a start position.

   fragment

     Assembly fragment from which to generate data.

   returns

     Region corresponding to inclusive region of contig fragment.

7. #### def apply(pos: ReferencePosition): ReferenceRegion

   Generates a region from a given position -- the region will have a length of 1.

   Generates a region from a given position -- the region will have a length of 1.

   pos

     The position to convert

   returns

     A 1-wide region at the same location as pos

8. #### def apply(record: AlignmentRecord): ReferenceRegion

9. #### def apply(annotation: DatabaseVariantAnnotation): ReferenceRegion

10. #### def apply(variant: Variant): ReferenceRegion

    Builds a reference region for a variant site.

    Builds a reference region for a variant site.

    variant

      Variant to extract region from.

    returns

      The site where this variant covers.

11. #### def apply(genotype: Genotype): ReferenceRegion

    Builds a reference region for a called genotype.

    Builds a reference region for a called genotype.

    genotype

      Called genotype to extract region from.

    returns

      The site where this genotype lives.

12. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def opt(record: AlignmentRecord): Option[ReferenceRegion]

    Generates a reference region from read data.

    Generates a reference region from read data. Returns None if the read is not mapped; else, returns the inclusive region from the start to the end of the read alignment.

    record

      Read to create region from.

    returns

      Region corresponding to inclusive region of read alignment, if read is mapped.

24. #### implicit def orderingForOptionalPositions: OptionalRegionOrdering.type

25. #### implicit def orderingForPositions: RegionOrdering.type

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped